ServerEvents.recipes((event) => {
	event.remove({output: 'minecraft:pumpkin_pie'})
	event.remove({output: 'delightful:rock_candy'})
	event.remove({output: 'delightful:pumpkin_pie_slice'})
	event.remove({output: 'minecraft:cake', type: 'minecraft:crafting_shaped'})
	event.remove({output: 'minecraft:cake', type: 'minecraft:crafting_shapeless'})
  	event.replaceInput(
	{ input: 'ecologics:prickly_pear' },
	'ecologics:prickly_pear',            // Arg 2: the item to replace
	'#forge:fruits/prickly_pear'         // Arg 3: the item to replace it with
  )
  	event.replaceInput(
	{ input: 'garnished:prickly_pear' },
	'garnished:prickly_pear',            // Arg 2: the item to replace
	'#forge:fruits/prickly_pear'         // Arg 3: the item to replace it with
  )
	event.recipes.farmersdelight.cooking(
	    ['farmersdelight:cabbage', 'garnished:peanut', 'v_borne:interstellar_alloy'],
	    'v_borne:refried_beans', // output
	    30, // exp
	    300, // cookTime
	    'minecraft:bowl', // container
	).id('v_borne:refried_beans_making_manual_only');
	event.recipes.farmersdelight.cooking(
	    ['biomesoplenty:rose_quartz_shard', 'biomesoplenty:rose_quartz_shard', 'minecraft:sugar'],
	    'delightful:rock_candy', // output
	    2, // exp
	    200, // cookTime
	    'minecraft:stick', // container
	).id('v_borne:rock_candy_making_bop_manual_only');
	event.recipes.farmersdelight.cooking(
	    ['create:rose_quartz', 'minecraft:sugar'],
	    'delightful:rock_candy', // output
	    5, // exp
	    160, // cookTime
	    'minecraft:stick', // container
	).id('v_borne:rock_candy_making_create_manual_only');
	event.shaped(
  Item.of('minecraft:pumpkin_pie', 1), // arg 1: output
  [
    ' A ',
    'AAA', // arg 2: the shape (array of strings)
    'BCD'
  ],
  {
	A: 'farmersdelight:pumpkin_slice',
    B: 'minecraft:sugar',
	C: 'farmersdelight:pie_crust',
	D: '#forge:eggs',
  })
	event.recipes.create.compacting([
		'minecraft:pumpkin_pie',
	], '4x create_central_kitchen:pumpkin_pie_slice')
	event.recipes.create.mixing(
	'v_borne:pumpkin_puree',
	['2x farmersdelight:pumpkin_slice', 'minecraft:sugar', '#forge:eggs']).heated()
	event.recipes.create.filling(
	'minecraft:pumpkin_pie',
	[Fluid.of('v_borne:pumpkin_puree', 1000), 'farmersdelight:pie_crust'])
	event.recipes.create.filling(
	'v_borne:garapa_bottle',
	[Fluid.of('v_borne:garapa', 250), 'minecraft:glass_bottle'])
	event.recipes.create.milling(
	'v_borne:bitter_acorn_flour',
	'delightful:acorn')
	event.recipes.create.mixing(
	'v_borne:acorn_dough',
	['v_borne:acorn_flour', 'minecraft:egg', Fluid.of('minecraft:milk', 200)])
	event.recipes.create.mixing(
	'v_borne:raw_acorn_cookie',
	['2x v_borne:acorn_flour', '#forge:fruits/prickly_pear'])
	event.recipes.create.mixing(
	'v_borne:raw_acorn_cookie',
	['2x v_borne:acorn_flour', 'minecraft:melon_slice'])
	event.recipes.create.compacting(
	Fluid.of('v_borne:garapa', 125),
	'minecraft:sugar_cane')
	event.smelting(
	'v_borne:acorn_cookie', 
	'v_borne:raw_acorn_cookie')
	event.smoking(
	'v_borne:acorn_cookie', 
	'v_borne:raw_acorn_cookie')
	event.smelting(
	'v_borne:acorn_bun', 
	'v_borne:acorn_dough')
	event.smoking(
	'v_borne:acorn_bun', 
	'v_borne:acorn_dough')
	event.shapeless(
  Item.of('minecraft:cake', 1), // arg 1: output
	[
		'7x farmersdelight:cake_slice'
	])
let inter = "v_borne:unfinished_moon_pie"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("v_borne:moon_pie").withChance(92.0),
				Item.of("garnished:almond_cheese").withChance(8.0)	// this is the item that will appear in JEI as the result
            ],
            "farmersdelight:pie_crust",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
                event.recipes.createFilling(inter, [inter, Fluid.of('minecraft:milk', 250)]),
				event.recipes.createDeploying(inter, [inter, 'northstar:moon_sand']),
				event.recipes.createDeploying(inter, [inter, 'minecraft:sugar']),
            ]
        )
        .transitionalItem(inter)
        .loops(2); // set the transitional item and the number of loops
let inter2 = "v_borne:unfinished_acorn_flour"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("v_borne:acorn_flour").withChance(94.0),
				Item.of("create:wheat_flour").withChance(6.0)	// this is the item that will appear in JEI as the result
            ],
            "v_borne:bitter_acorn_flour",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
                event.recipes.createFilling(inter2, [inter2, Fluid.of('minecraft:water', 200)]),
				event.recipes.createPressing(inter2, inter2),
            ]
        )
        .transitionalItem(inter2)
        .loops(5); // set the transitional item and the number of loops
})